# TS 103 120 Workflow Examples

## Introduction
This folder contains a set of example XML files that demonstrate the principles of the Workflow Examples in Annex ?? in ETSI TS 103 120. This readme file provides the necessary background to understand the examples.

The examples set out a set of scenarios, each of which describes a particular realisation of the Workflows in TS 103 120 clause ??. Each scenario describes a particular use case. It also provides links to one or more XML files which show the HI1 messages needed as part of the use case.

> We can add more background and correct the references as necessary

## Environment
All of the scenarios assume the following scenario:

* There is an LEA with a unique identifier "LEA1"
* There is an operator with a unique identifier "Operator1"
* Both LEA and operator are in a country with ISO country code "QQ"
* The operator provides two services, one of which uses MSISDN as an identifier, the other of which uses an email address
* etc etc

> We can add further information to this section to help answer questions - maybe better details the services that we assume operator1 provides? It would be good to invent an imaginary operator that is simple enough to use for descriptions, but has enough complexity to explore likely scenarios. 
> 
> Also, the values above aren't the ones currently in the example file!


## Example scenarios

* Scenario 1 - Simple disclosure request
* Scenario 2 - Failed disclosure request
* Secnario 3 - etc etc

### Scenario 1
In this scenario, LEA1 requests Operator1 to disclose the following information

* Disclosure for a single MSISDN

This is realised by the following messages:

| Message | From | To | Description |
| -- | -- | -- | -- | 
| [request_simple_profile.xml](https://forge.etsi.org/rep/li/schemas-definitions/-/blob/draft/workflow_examples/103120/examples/workflow/request_simple_profile.xml)| LEA1 | Operator1 | A request containing the Authorisation, Task and Document objects |
| [response_simple_profile.xml]() | Operator1 | LEA1 | A response from the Operator indicating that the Task has been accepted |

> Obviously we need to complete this section - I think we might want to make this first
> example an even simpler scenario, with only a request for a single Task - and also provide the response XML.
> 
> We can discuss what things we want to show with these examples (e.g. immediate vs deferred delivery, error cases, splitting things up etc) and how we distribute them across examples.

### Scenario 2

> etc etc. If these get too long, we can split them out into their own MD files.

